Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.http
Class ControlResource

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.AbstractContainer
                              |
                              +--org.w3c.jigsaw.http.ControlResource

public class ControlResource
extends AbstractContainer

Field Summary
`protected ResourceReference` | `self`
`protected httpd` | `server`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`ControlResource(httpd server)`

Method Summary
`ResourceReference` | `createDefaultResource(java.lang.String name)`
`void` | `delete(java.lang.String name)`
`java.util.Enumeration` | `enumerateResourceIdentifiers(boolean all)`
`ServerInterface` | `getServer()` Get the server this resource is served by.
`java.lang.Object` | `getValue(int idx, java.lang.Object def)`
`ResourceReference` | `lookup(java.lang.String name)`
`void` | `registerResource(java.lang.String n, Resource c, java.util.Hashtable d)`
`protected void` | `saveProperties()`

Methods inherited from class org.w3c.tools.resources.AbstractContainer
`attributeChanged, enumerateResourceIdentifiers, resourceCreated, resourceModified, resourceRemoved, resourceUnloaded, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, eventDisabled, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameModified, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, initialize, lookup, markModified, notifyUnload, perform, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, processEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getResourceReference, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickleValues, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    protected httpd server

### self

    protected ResourceReference self

Constructor Detail

### ControlResource

    public ControlResource(httpd server)

Method Detail

### registerResource

    public void registerResource(java.lang.String n,
                                 Resource c,
                                 java.util.Hashtable d)

  Overrides:
    registerResource in class AbstractContainer

### delete

    public void delete(java.lang.String name)

  Overrides:
    delete in class AbstractContainer

### createDefaultResource

    public ResourceReference createDefaultResource(java.lang.String name)

  Overrides:
    createDefaultResource in class AbstractContainer

### saveProperties

    protected void saveProperties()

### lookup

    public ResourceReference lookup(java.lang.String name)

  Overrides:
    lookup in class AbstractContainer

### getServer

    public ServerInterface getServer()

  Get the server this resource is served by.
  Returns:
    The first instance of Jigsaw this resource was attached to.
  Overrides:
    getServer in class Resource

### getValue

    public java.lang.Object getValue(int idx,
                                     java.lang.Object def)

  Overrides:
    getValue in class Resource

### enumerateResourceIdentifiers

    public java.util.Enumeration enumerateResourceIdentifiers(boolean all)

  Overrides:
    enumerateResourceIdentifiers in class AbstractContainer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD